<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__resource__dynamic__data__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_resource_dynamic_data_t</compoundname>
    <includes local="no">cy_http_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__resource__dynamic__data__t_1a2fa3f6203db2348184a4cd0409c1d6cb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__http__server__struct_1ga6515ad09b10c358aa2d1d1efd4a4f2cd">url_processor_t</ref></type>
        <definition>url_processor_t cy_resource_dynamic_data_t::resource_handler</definition>
        <argsstring />
        <name>resource_handler</name>
        <briefdescription>
<para>The function that will handle requests for this page. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="297" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="297" />
      </memberdef>
      <memberdef id="structcy__resource__dynamic__data__t_1a21189a067fa29eb836db706aa3553f2b" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_resource_dynamic_data_t::arg</definition>
        <argsstring />
        <name>arg</name>
        <briefdescription>
<para>Argument to be passed to the generator function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="298" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Dynamic HTTP resource info. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="7">
        <label>cy_resource_dynamic_data_t</label>
        <link refid="structcy__resource__dynamic__data__t" />
        <childnode refid="8" relation="usage">
          <edgelabel>resource_handler</edgelabel>
        </childnode>
      </node>
      <node id="8">
        <label>cy_http_response_stream_t</label>
        <link refid="structcy__http__response__stream__t" />
      </node>
    </collaborationgraph>
    <location bodyend="299" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" bodystart="295" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-http-server/include/cy_http_server.h" line="296" />
    <listofallmembers>
      <member prot="public" refid="structcy__resource__dynamic__data__t_1a21189a067fa29eb836db706aa3553f2b" virt="non-virtual"><scope>cy_resource_dynamic_data_t</scope><name>arg</name></member>
      <member prot="public" refid="structcy__resource__dynamic__data__t_1a2fa3f6203db2348184a4cd0409c1d6cb" virt="non-virtual"><scope>cy_resource_dynamic_data_t</scope><name>resource_handler</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>